org.apache.xmlbeans.impl.store

## Class Public2

- java.lang.Object
- - org.apache.xmlbeans.impl.store.Public2

-     public final class Public2
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Public2()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XmlCursor` | `_newStore(Locale l)`
    `static String` | `compilePath(String path, XmlOptions options)`
    `static void` | `dump(DomImpl.Dom d)`
    `static void` | `dump(Node n)`
    `static void` | `dump(PrintStream o, DomImpl.Dom d)`
    `static void` | `dump(PrintStream o, Node n)`
    `static void` | `dump(PrintStream o, XmlCursor c)`
    `static void` | `dump(PrintStream o, XmlObject x)`
    `static void` | `dump(XmlCursor c)`
    `static void` | `dump(XmlObject x)`
    `static XmlCursor` | `getCursor(Node n)`
    `static DOMImplementation` | `getDomImplementation()`
    `static DOMImplementation` | `getDomImplementation(Saaj saaj)`
    `static Node` | `getNode(XMLStreamReader s)`
    `static XMLStreamReader` | `getStream(Node n)`
    `static XmlCursor` | `newStore()`
    `static XmlCursor` | `newStore(Saaj saaj)`
    `static Document` | `parse(InputStream is, Saaj saaj)`
    `static Document` | `parse(InputStream is, XmlOptions options)`
    `static Document` | `parse(String s)`
    `static Document` | `parse(String s, Saaj saaj)`
    `static Document` | `parse(String s, XmlOptions options)`
    `static String` | `save(Node n)`
    `static void` | `save(Node n, OutputStream os, XmlOptions options)`
    `static String` | `save(Node n, XmlOptions options)`
    `static String` | `save(XmlCursor c)`
    `static String` | `save(XmlCursor xc, XmlOptions options)`
    `static void` | `setSync(Document doc, boolean sync)`
    `static void` | `test()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Public2

          public Public2()

  - ### Method Detail

    - #### setSync

          public static void setSync(Document doc,
                                     boolean sync)

    - #### compilePath

          public static String compilePath(String path,
                                           XmlOptions options)

    - #### getDomImplementation

          public static DOMImplementation getDomImplementation()

    - #### getDomImplementation

          public static DOMImplementation getDomImplementation(Saaj saaj)

    - #### parse

          public static Document parse(String s)
                                throws XmlException

      Throws:
        `XmlException`

    - #### parse

          public static Document parse(String s,
                                       XmlOptions options)
                                throws XmlException

      Throws:
        `XmlException`

    - #### parse

          public static Document parse(String s,
                                       Saaj saaj)
                                throws XmlException

      Throws:
        `XmlException`

    - #### parse

          public static Document parse(InputStream is,
                                       XmlOptions options)
                                throws XmlException,
                                       IOException

      Throws:
        `XmlException`
        `IOException`

    - #### parse

          public static Document parse(InputStream is,
                                       Saaj saaj)
                                throws XmlException,
                                       IOException

      Throws:
        `XmlException`
        `IOException`

    - #### getNode

          public static Node getNode(XMLStreamReader s)

    - #### getStream

          public static XMLStreamReader getStream(Node n)

    - #### save

          public static String save(Node n)

    - #### save

          public static void save(Node n,
                                  OutputStream os,
                                  XmlOptions options)
                           throws IOException

      Throws:
        `IOException`

    - #### save

          public static String save(Node n,
                                    XmlOptions options)

    - #### save

          public static String save(XmlCursor c)

    - #### save

          public static String save(XmlCursor xc,
                                    XmlOptions options)

    - #### newStore

          public static XmlCursor newStore()

    - #### newStore

          public static XmlCursor newStore(Saaj saaj)

    - #### _newStore

          public static XmlCursor _newStore(Locale l)

    - #### getCursor

          public static XmlCursor getCursor(Node n)

    - #### dump

          public static void dump(PrintStream o,
                                  DomImpl.Dom d)

    - #### dump

          public static void dump(PrintStream o,
                                  Node n)

    - #### dump

          public static void dump(PrintStream o,
                                  XmlCursor c)

    - #### dump

          public static void dump(PrintStream o,
                                  XmlObject x)

    - #### dump

          public static void dump(DomImpl.Dom d)

    - #### dump

          public static void dump(Node n)

    - #### dump

          public static void dump(XmlCursor c)

    - #### dump

          public static void dump(XmlObject x)

    - #### test

          public static void test()
                           throws Exception

      Throws:
        `Exception`